/* Select2 Dark Mode Styling */
.select2-container--default .select2-selection--single {
    height: 42px;
    border: 1px solid rgb(229 231 235);
    border-radius: 0.5rem;
    background-color: white;
}

.dark .select2-container--default .select2-selection--single {
    border-color: rgb(40 48 57);
    background-color: #111418;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 42px;
    padding-left: 1rem;
    color: rgb(15 23 42);
}

.dark .select2-container--default .select2-selection--single .select2-selection__rendered {
    color: white;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 40px;
    right: 0.5rem;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
    border: 1px solid rgb(229 231 235);
    border-radius: 0.5rem;
    padding: 0.5rem;
}

.dark .select2-container--default .select2-search--dropdown .select2-search__field {
    border-color: rgb(40 48 57);
    background-color: #111418;
    color: white;
}

.select2-dropdown {
    border: 1px solid rgb(229 231 235);
    border-radius: 0.5rem;
}

.dark .select2-dropdown {
    border-color: rgb(40 48 57);
    background-color: #1c2630;
}

.select2-results__option {
    padding: 0.5rem 1rem;
    color: rgb(15 23 42);
}

.dark .select2-results__option {
    color: white;
}

.select2-results__option--highlighted {
    background-color: rgb(43 140 238 / 0.1);
    color: rgb(43 140 238);
}

.dark .select2-results__option--highlighted {
    background-color: rgb(43 140 238 / 0.2);
    color: rgb(43 140 238);
}

.select2-container--default.select2-container--focus .select2-selection--single {
    border-color: rgb(43 140 238);
    outline: none;
    box-shadow: 0 0 0 2px rgb(43 140 238 / 0.2);
}

